Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Pathworks on VMS 8.3

 
robert70
Valued Contributor

Pathworks on VMS 8.3

Recently upgraded an Alpha DS20E
It used to run VMS 7.3-2 and Pathworks 6.0C
Now when upgraded to VMS8.3 I get this message when trying to startup Pathworks.

$ DAVE:SYSTEM> @sys$startup:pwrk$startup
%SYSMAN-I-NODERR, error returned from node DAVE
-SYSTEM-W-SYSVERDIF, system version mismatch; please relink
%SYSMAN-I-NODERR, error returned from node DAVE
-SYSTEM-W-SYSVERDIF, system version mismatch; please relink
%PWRK-F-NOSUCHDEV, could not load PCFS driver; cannot start PATHWORKS

What do I need to do to get round this?
do i need to install new pathworks software?
re-link what?

Many Thanks
16 REPLIES 16
Hoff
Honored Contributor

Re: Pathworks on VMS 8.3

Yes. You will need to upgrade PATHWORKS Server, or move to Advanced Server, or replace it all with HP CIFS.

Here's some old documentation on this stuff:

http://www.openvms.compaq.com/doc/732final/6668/6668pro_001.html

And based on that, it appears that you were down-revision when you started this sequence. Yes, if you want to stay with PATHWORKS Server, you'll need to upgrade.

Here is the CIFS package information, and CIFS is the (free) replacement for both PATHWORKS Server and for Advanced Server packages.

http://h71000.www7.hp.com/network/cifs_for_samba.html

And no, I don't know off-hand of an easy way to figure out what's the most current version (or patch) for any paricular OpenVMS stuff. That determination is (unfortunately) somewhat of a slog.
Karl Rohwedder
Honored Contributor

Re: Pathworks on VMS 8.3

Info about Pathworks/AdvancedServer is here:
http://h71000.www7.hp.com/pathworks/index.html

The actual version of AdvancedServer is V7.3B with a patchset PS021.

regards Kalle
Paul Nunez
Respected Contributor

Re: Pathworks on VMS 8.3

PATHWORKS for OVMS won't run on OVMSA 8.x - there are no OVMS 8.x drivers.

So as others have noted, you'll have to migrate to either Advanced Server for OVMS or CIFs for OVMS, with the latter being the preferred option.

However, there is no upgrade/migration path from PATHWORKS for OVMS to CIFS for OVMS.

Thus, I think to get the service back on line ASAP, you should upgrade to Advanced Server first and then plan the migration to CIFS when time allows...

HTH,

Paul

Regards,

Paul
robert70
Valued Contributor

Re: Pathworks on VMS 8.3

Thanks you all for your comments/suggestions
I will upgrade to Advandced server and then to CIFS to a later date as suggested.
cheers

Re: Pathworks on VMS 8.3

Depending on the number of users it way be better to go straight to CIFS as you will need new licences to use Advanced Server 7.3B. We found that that it adds a significant cost to the upgrade.

John
John Harper
robert70
Valued Contributor

Re: Pathworks on VMS 8.3

thanks John
We have 20 users - so yes it is a consideration
I take it CIFS is a free product?
Highlighted
robert70
Valued Contributor

Re: Pathworks on VMS 8.3

John,

We currently have the following licenses
10 of each which work with Pathworks 6.0C

PWLMXXXCA07.02
PWLMXXXCA07.03

Are these no use for Advanced Server 7.3B?
Karl Rohwedder
Honored Contributor

Re: Pathworks on VMS 8.3

The V7.03 license should work with V73B.
Are all user constantly connected? May be you could work around with setting the autodisconnect feature.

regards Kalle
Paul Nunez
Respected Contributor

Re: Pathworks on VMS 8.3

Only the pwlmxxxca07.03 license will work with Advanced Server.

Divide the number of units by 100 to determine the number of simultaneous users allowed to connect to Advanced Server.

FWIW, there is an "upgrade" license option that gives you some credit for the pwlmxxxca07.02 license (should you decide to stick with Advanced Server).

Yes, CIFs is "free" (it's a port of the OpenSource Samba software) - no license is required to use it.


Paul